### Enumeration

# Qmi OmaSessionFailedReason

since: 1.6

#### Declaration

    enum Qmi.OmaSessionFailedReason

#### Description [src]

Session failure reason.

Available since: 1.6

#### Members

`QMI_OMA_SESSION_FAILED_REASON_UNKNOWN`

  Unknown reason.

  - Value: `0`
  - Available since: 1.6
`QMI_OMA_SESSION_FAILED_REASON_NETWORK_UNAVAILABLE`

  Network unavailable.

  - Value: `1`
  - Available since: 1.6
`QMI_OMA_SESSION_FAILED_REASON_SERVER_UNAVAILABLE`

  Server unavailable.

  - Value: `2`
  - Available since: 1.6
`QMI_OMA_SESSION_FAILED_REASON_AUTHENTICATION_FAILED`

  Authentication failed.

  - Value: `3`
  - Available since: 1.6
`QMI_OMA_SESSION_FAILED_REASON_MAX_RETRY_EXCEEDED`

  Maximum retries exceeded.

  - Value: `4`
  - Available since: 1.6
`QMI_OMA_SESSION_FAILED_REASON_SESSION_CANCELLED`

  Session cancelled.

  - Value: `5`
  - Available since: 1.6

#### Type functions

###### qmi_oma_session_failed_reason_get_string

Gets the nickname string for the `QmiOmaSessionFailedReason` specified at `val`.

since: 1.6